local M = {}
local lastsignal_L = 0
local lastsignal_R = 0

local function init()
	lastsignal_l = 0
	lastsignal_R = 0
	electrics.values.signal_L = 0
	electrics.values.signal_R = 0
    for k, node in pairs (v.data.nodes) do
		if node.name == "f1r" then dashnode = k elseif
		   node.name == "speedchime" then chimenode = k end
	end
	
	if chimenode ~= nil then
	    chime = obj:createSFXSource("vehicles/Toyota_Ae86/sounds/chime.ogg", 'AudioDefaultLoop3D', '', chimenode)
	    obj:stopSFX(chime)
	    obj:setVolume(chime, 2)
	end
end	

local function reset()
	init()
end

local function updateGFX(dt)
	
	if electrics.values.signal_L > lastsignal_L or electrics.values.signal_R > lastsignal_R then sounds.playSoundOnceAtNode("click_on", dashnode, 10) end
	if electrics.values.signal_L < lastsignal_L or electrics.values.signal_R < lastsignal_R then sounds.playSoundOnceAtNode("click_off", dashnode, 10) end
	
	lastsignal_L = electrics.values.signal_L
	lastsignal_R = electrics.values.signal_R
	
	if chimenode ~= nil and electrics.values.wheelspeed > 27.78 then obj:playSFX(chime) elseif chimenode ~= nil then obj:stopSFX(chime) end
	
	
	
	
end

M.onInit = init
M.onReset = init
M.updateGFX = updateGFX

return M